tigase.xml

## Class XMLFormatter

- java.lang.Object
- - tigase.xml.XMLFormatter

- All Implemented Interfaces:
    SimpleHandler

      public class XMLFormatter
      extends Object
      implements SimpleHandler

  This is temporary code used for testing purposes only. It is subject to change or remove at any time of server development. It has been created to format XML files to make them easier to read and modify by a human. With current `XMLDB` implementation however it is not necessary to use this formatter for configuration files and user repositories as they are saved in proper format.

  Created: Thu Oct 21 14:49:41 2004

  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLFormatter(OutputStream out)` Creates a new `XMLFormatter` instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `elementCData(StringBuilder cdata)` Describe `elementCData` method here.
    `boolean` | `endElement(StringBuilder name)` Describe `endElement` method here.
    `void` | `error(String errorMessage)` Describe `error` method here.
    `static void` | `main(String[] args)` Describe `main` method here.
    `void` | `otherXML(StringBuilder other)` Describe `otherXML` method here.
    `void` | `outputExtraData(String extra)`
    `Object` | `restoreParserState()` Describe `restoreParserState` method here.
    `void` | `saveParserState(Object object)` Describe `saveParserState` method here.
    `void` | `startElement(StringBuilder name, StringBuilder[] att_names, StringBuilder[] att_values)` Describe `startElement` method here.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLFormatter

          public XMLFormatter(OutputStream out)

      Creates a new `XMLFormatter` instance.

  - ### Method Detail

    - #### error

          public void error(String errorMessage)

      Describe `error` method here.
      Specified by:
        `error` in interface `SimpleHandler`
      Parameters:
        `errorMessage` -

    - #### startElement

          public void startElement(StringBuilder name,
                                   StringBuilder[] att_names,
                                   StringBuilder[] att_values)

      Describe `startElement` method here.
      Specified by:
        `startElement` in interface `SimpleHandler`
      Parameters:
        `name` - a `StringBuilder` value
        `att_names` - a `StringBuilder[]` value
        `att_values` - a `StringBuilder[]` value

    - #### elementCData

          public void elementCData(StringBuilder cdata)

      Describe `elementCData` method here.
      Specified by:
        `elementCData` in interface `SimpleHandler`
      Parameters:
        `cdata` - a `StringBuilder` value

    - #### endElement

          public boolean endElement(StringBuilder name)

      Describe `endElement` method here.
      Specified by:
        `endElement` in interface `SimpleHandler`
      Parameters:
        `name` - a `StringBuilder` value

    - #### otherXML

          public void otherXML(StringBuilder other)

      Describe `otherXML` method here.
      Specified by:
        `otherXML` in interface `SimpleHandler`
      Parameters:
        `other` - a `StringBuilder` value

    - #### saveParserState

          public void saveParserState(Object object)

      Describe `saveParserState` method here.
      Specified by:
        `saveParserState` in interface `SimpleHandler`
      Parameters:
        `object` - an `Object` value

    - #### restoreParserState

          public Object restoreParserState()

      Describe `restoreParserState` method here.
      Specified by:
        `restoreParserState` in interface `SimpleHandler`
      Returns:
        an `Object` value

    - #### outputExtraData

          public void outputExtraData(String extra)

    - #### main

          public static void main(String[] args)
                           throws Exception

      Describe `main` method here.
      Parameters:
        `args` - a `String[]` value
      Throws:
        `Exception`

Copyright © 2017 "Tigase, Inc.". All rights reserved.